#pragma once

#include <Urho3D/Scene/LogicComponent.h>

using namespace Urho3D;

class Grower : public LogicComponent
{
    URHO3D_OBJECT(Grower, LogicComponent);

public:
    Grower(Context* context);

    static void RegisterObject(Context* context);

    virtual void Grow(int tofuEaten);

private:
    void HandleShakeLeft(StringHash eventType, VariantMap& eventData);
    void HandleShakeRight(StringHash eventType, VariantMap& eventData);
    void HandleGrowStart(StringHash eventType, VariantMap& eventData);
    void HandleJump(StringHash eventType, VariantMap& eventData);

    int tofuLevel_;

};
